

import resources.DoesWindowExistHelper;

import com.rational.test.ft.*;
import com.rational.test.ft.object.interfaces.*;
import com.rational.test.ft.script.*;
import com.rational.test.ft.value.*;
import com.rational.test.ft.vp.*;

/**
 * Description   : RobotJ Script
 * @author
 */

public class DoesWindowExist extends DoesWindowExistHelper
{
	/**
	 * Script Name   : <b>DoesWindowExist</b>
	 * Generated     : <b>Nov 14, 2002 1:53:03 PM</b>
	 * Modified	 : <b>Nov 14, 2002 1:53:03 PM</b>
	 * Description   : RobotJ Script
	 * Original Host : WinNT Version 5.0  Build 2195 (Service Pack 2)
	 * 
	 * @since  2002/11/14
	 * @author
	 */
	public void testMain (Object[] args) 
	{

		//Comment out the startApp line so that the
		//  object will not be found
        startApp("ClassicsJavaA");

		try
		{
	        // Frame: ClassicsCD
	        //Waits for 10 seconds for object to exist
	        //  re-checking every 2 seconds
 	       ClassicsJavaFrame().waitForExistence(
                                        10.0, 2.0);
                                        
           logInfo("Found the ClassicsCD window");                             

	       placeOrderButton2Button().drag();

	        // Frame: Member Logon
	        cancelorderlogonButton().drag();

	        // Frame: ClassicsCD
	        ClassicsJavaFrame(ANY,MAY_EXIT).close();                                        
		}
		catch(AmbiguousRecognitionException are)
		{
			logError("Error recognizing object - " + are.getMessage());
			are.printStackTrace(System.out);
		}
		catch(ObjectNotFoundException onfe)
		{
			logError("Error finding object - " + onfe.getMessage());
  			onfe.printStackTrace(System.out);			
		}

	}
}
